PPI::Token::Operator(3)

NAME
PPI::Token::Operator - Token class for operators

INHERITANCE
  PPI::Token::Operator
  isa PPI::Token
      isa PPI::Element

SYNOPSIS
  # This is the list of valid operators
  ++   --   **   !    ~    +    -
  =~   !~   *    /    %    x
  <<   >>   lt   gt   le   ge   cmp  ~~
  ==   !=   <=>  .    ..   ...  ,
  &    |    ^    &&   ||   //
  ?    :    =    +=   -=   *=   .=   //=
  <    >    <=   >=   <>   =>   ->
  and  or   dor  not  eq   ne

DESCRIPTION
All operators in PPI are created as "PPI::Token::Operator" objects, including the ones that may superficially look like a PPI::Token::Word object.

METHODS
There are no additional methods beyond those provided by the parent PPI::Token and PPI::Element classes.

Got any ideas for methods? Submit a report to rt.cpan.org!

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.